be.vlaanderen.mercurius.mohm.schemas.v1

## Class EMOHMDF105ReportDeliveryResponse

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.EMOHMDF105ReportDeliveryResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:59:03+01:00",
                 comments="JAXB RI v2.3.7")
      public class EMOHMDF105ReportDeliveryResponse
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="MessageMetadata" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}MessageMetadataType" minOccurs="0"/>
               <element name="ReportDelivery" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ReportDeliveryResponseType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMOHMDF105ReportDeliveryResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageMetadataType` | `getMessageMetadata()` Gets the value of the messageMetadata property.
    `ReportDeliveryResponseType` | `getReportDelivery()` Gets the value of the reportDelivery property.
    `void` | `setMessageMetadata(MessageMetadataType value)` Sets the value of the messageMetadata property.
    `void` | `setReportDelivery(ReportDeliveryResponseType value)` Sets the value of the reportDelivery property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMOHMDF105ReportDeliveryResponse

          public EMOHMDF105ReportDeliveryResponse()

  - ### Method Detail

    - #### getMessageMetadata

          public MessageMetadataType getMessageMetadata()

      Gets the value of the messageMetadata property.
      Returns:
        possible object is `MessageMetadataType`

    - #### setMessageMetadata

          public void setMessageMetadata(MessageMetadataType value)

      Sets the value of the messageMetadata property.
      Parameters:
        `value` - allowed object is `MessageMetadataType`

    - #### getReportDelivery

          public ReportDeliveryResponseType getReportDelivery()

      Gets the value of the reportDelivery property.
      Returns:
        possible object is `ReportDeliveryResponseType`

    - #### setReportDelivery

          public void setReportDelivery(ReportDeliveryResponseType value)

      Sets the value of the reportDelivery property.
      Parameters:
        `value` - allowed object is `ReportDeliveryResponseType`

Connector Packaging generic 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.